Print Friendly

# Class YAHOO.ext.SplitBar.BasicLayoutAdapter

Package: | YAHOO.ext
Class: | SplitBar.BasicLayoutAdapter
Extends: | Object
Subclasses: | SplitBar.AbsoluteLayoutAdapter
Defined In: | SplitBar.js

Default Adapter. It assumes the splitter and resizing element are not positioned elements and only gets/sets the width of the element. Generally used for table based layouts.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| getElementSize(`YAHOO.ext.SplitBar s`) : void | SplitBar.BasicLayoutAdapter
Called before drag operations to get the current size of the resizing element.
| setElementSize(`YAHOO.ext.SplitBar s`, `Number newSize`, `Function onComplete`) : void | SplitBar.BasicLayoutAdapter
Called after drag operations to set the size of the resizing element.

## Public Events

This class has no public events.

## Method Details

### getElementSize

`public function getElementSize(`YAHOO.ext.SplitBar s`)`
Called before drag operations to get the current size of the resizing element.
Parameters:

- `s` : YAHOO.ext.SplitBar
  The SplitBar using this adapter

Returns:

- `void`

This method is defined by SplitBar.BasicLayoutAdapter.

### setElementSize

`public function setElementSize(`YAHOO.ext.SplitBar s`, `Number newSize`, `Function onComplete`)`
Called after drag operations to set the size of the resizing element.
Parameters:

- `s` : YAHOO.ext.SplitBar
  The SplitBar using this adapter
- `newSize` : Number
  The new size to set
- `onComplete` : Function
  A function to be invoke when resizing is complete

Returns:

- `void`

This method is defined by SplitBar.BasicLayoutAdapter.

yui-ext - Copyright © 2006 Jack Slocum. | Yahoo! UI - Copyright © 2006 Yahoo! Inc.
All rights reserved.